using ReAct_PME.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace ReAct_PME
{
    /// <summary>
    /// Logique d'interaction pour VoirLogs.xaml
    /// </summary>
    public partial class VoirLogs : Window
    {
        VoirLogs_VM _VM;

        public VoirLogs()
        {
            InitializeComponent();
            _VM = new();
            this.DataContext = _VM;
        }

        private void BtnPrecedent_Click(object sender, RoutedEventArgs e)
        {
            _VM.GetLogPreviousDay();
        }

        private void BtnSuivant_Click(object sender, RoutedEventArgs e)
        {
            _VM.GetLogNextDay();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            this.Close();
        }
    }
}
